## python-oslo.cache 3.10.1

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

dogpile.cache>=1.3.3 # BSD
oslo.config>=8.1.0 # Apache-2.0
oslo.i18n>=5.0.0 # Apache-2.0
oslo.log>=4.2.1 # Apache-2.0
oslo.utils>=4.2.0 # Apache-2.0
debtcollector>=3.0.0 # Apache-2.0

=== doc/requirements.txt ===
# For generating sphinx documentation
openstackdocstheme>=2.2.0 # Apache-2.0
sphinx>=2.0.0 # BSD
reno>=3.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

# For autodoc builds
oslotest>=3.2.0 # Apache-2.0
pymemcache>=3.5.0 # Apache-2.0
python-binary-memcached>=0.29.0 # MIT
python-memcached>=1.56 # PSF
etcd3gw>=0.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.cache (3.10.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:10:28 +0100

python-oslo.cache (3.10.1-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 14:36:58 +0100

python-oslo.cache (3.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 13:51:31 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.cache.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr doc/source/reference/api *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'oslo_cache\.tests\.(?!(.*test_cache_backend_mongo.*))'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-oslo.cache-doc/usr/share/doc/python-oslo.cache-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.cache refs/tags/(\d[brc\d\.]+)

## python-oslo.cache 3.10.2

=== debian/changelog ===
python-oslo.cache (3.10.2-0progress8u1) horok-extras; urgency=low

  * Initial upload to horok-extras.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 24 Jan 2026 09:23:17 +0100

python-oslo.cache (3.10.2-1~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Tue, 23 Sep 2025 10:40:48 +0000

=== debian/control ===
Source: python-oslo.cache
Section: python
Priority: optional
Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
XSBC-Original-Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Bugs: mailto:maintainers@lists.progress-linux.org
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 python3-binary-memcached,
 python3-debtcollector,
 python3-dogpile.cache (>= 1.3.3),
 python3-etcd3gw,
 python3-hacking,
 python3-memcache,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslosphinx,
 python3-oslotest,
 python3-pymemcache,
 python3-pymongo,
 python3-redis,
 python3-sphinxcontrib.apidoc,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.progress-linux.org/horok-extras/python-oslo.cache
Vcs-Git: https://git.progress-linux.org/horok-extras/python-oslo.cache
XSBC-Original-Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache
XSBC-Original-Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.cache-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: cache storage for Openstack projects - doc
 oslo.cache aims to provide a generic caching mechanism for OpenStack projects
 by wrapping the dogpile.cache library. The dogpile.cache library provides
 support memoization, key value storage and interfaces to common caching
 backends such as Memcached.
 .
 This package contains the documentation.

Package: python3-oslo.cache
Architecture: all
Depends:
 python3-binary-memcached,
 python3-debtcollector,
 python3-dogpile.cache (>= 1.3.3),
 python3-memcache,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.cache-doc,
Description: cache storage for Openstack projects - Python 3.x
 oslo.cache aims to provide a generic caching mechanism for OpenStack projects
 by wrapping the dogpile.cache library. The dogpile.cache library provides
 support memoization, key value storage and interfaces to common caching
 backends such as Memcached.
 .
 This package contains the Python 3.x module.

## python-oslo.cache 3.11.0

=== debian/changelog ===
python-oslo.cache (3.11.0-0ubuntu1) questing; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.
  * New upstream release for OpenStack Flamingo. (LP: #2116155)

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 15 Jul 2025 15:50:12 -0400

python-oslo.cache (3.10.1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:48:26 +0000

python-oslo.cache (3.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Fri, 14 Feb 2025 15:50:43 +0000

## python-oslo.cache 3.12.0

=== debian/changelog ===
python-oslo.cache (3.12.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo. (LP: #2122726)
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 12 Sep 2025 14:00:39 -0700

=== debian/control ===
Source: python-oslo.cache
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-binary-memcached (>= 0.29.0),
 python3-debtcollector (>= 2.5.0),
 python3-dogpile.cache (>= 1.3.3),
 python3-etcd3gw (>= 0.2.0),
 python3-hacking,
 python3-memcache (>= 1.56),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.config (>= 1:8.1.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.log (>= 4.2.1),
 python3-oslo.utils (>= 4.2.0),
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pymemcache (>= 3.5.0),
 python3-pymongo (>= 3.0.2),
 python3-redis (>= 3.0.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 subunit,
 testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.cache
Homepage: https://opendev.org/openstack/oslo.cache

Package: python-oslo.cache-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: cache storage for Openstack projects - doc
 oslo.cache aims to provide a generic caching mechanism for OpenStack projects
 by wrapping the dogpile.cache library. The dogpile.cache library provides
 support memoization, key value storage and interfaces to common caching
 backends such as Memcached.
 .
 This package contains the documentation.

Package: python3-oslo.cache
Architecture: all
Depends:
 python3-dogpile.cache (>= 1.3.3),
 python3-memcache,
 python3-oslo.config (>= 1:8.1.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.log (>= 4.2.1),
 python3-oslo.utils (>= 4.2.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-binary-memcached (>= 0.29.0),
 python-oslo.cache-doc,
Description: cache storage for Openstack projects - Python 3.x
 oslo.cache aims to provide a generic caching mechanism for OpenStack projects
 by wrapping the dogpile.cache library. The dogpile.cache library provides
 support memoization, key value storage and interfaces to common caching
 backends such as Memcached.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=oslo_cache
 
 UPSTREAM_GIT := https://github.com/openstack/oslo.cache.git
 include /usr/share/openstack-pkg-tools/pkgos.make
@@ -7,9 +9,7 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr doc/source/reference/api *.egg-info
-	find . -iname '*.pyc' -delete
-	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
+	rm -rf build
 
 override_dh_auto_build:
 	echo "Do nothing..."

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.openstack.org/oslo.cache/ oslo.cache-(\d.*)\.tar\.gz

## python-oslo.cache 4.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,4 +7,3 @@
 oslo.i18n>=5.0.0 # Apache-2.0
 oslo.log>=4.2.1 # Apache-2.0
 oslo.utils>=4.2.0 # Apache-2.0
-debtcollector>=3.0.0 # Apache-2.0

=== debian/changelog ===
python-oslo.cache (4.0.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 4.0.0
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 16 Jan 2026 09:12:27 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/oslo.cache/ oslo[._]cache-(\d.*)\.tar\.gz

## python-oslo.cache 4.1.1

=== debian/changelog ===
python-oslo.cache (4.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Clean-up_memcache_connection_sockets.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 15:56:48 +0100

python-oslo.cache (3.12.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047288).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Feb 2026 17:47:53 +0100

python-oslo.cache (3.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 18:41:45 +0200

python-oslo.cache (3.12.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 12:25:05 +0200

=== debian/control ===
Source: python-oslo.cache
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 python3-binary-memcached,
 python3-dogpile.cache (>= 1.3.3),
 python3-etcd3gw,
 python3-hacking,
 python3-memcache,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslosphinx,
 python3-oslotest,
 python3-pymemcache,
 python3-redis,
 python3-sphinxcontrib.apidoc,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.cache-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: cache storage for Openstack projects - doc
 oslo.cache aims to provide a generic caching mechanism for OpenStack projects
 by wrapping the dogpile.cache library. The dogpile.cache library provides
 support memoization, key value storage and interfaces to common caching
 backends such as Memcached.
 .
 This package contains the documentation.

Package: python3-oslo.cache
Architecture: all
Depends:
 python3-binary-memcached,
 python3-dogpile.cache (>= 1.3.3),
 python3-memcache,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.cache-doc,
Description: cache storage for Openstack projects - Python 3.x
 oslo.cache aims to provide a generic caching mechanism for OpenStack projects
 by wrapping the dogpile.cache library. The dogpile.cache library provides
 support memoization, key value storage and interfaces to common caching
 backends such as Memcached.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export PYBUILD_NAME=oslo_cache
 
 UPSTREAM_GIT := https://github.com/openstack/oslo.cache.git
 include /usr/share/openstack-pkg-tools/pkgos.make
@@ -9,7 +7,9 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr doc/source/reference/api *.egg-info .pybuild
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
